Bug 1397561 - TypeError: can_touch_runtime_system() missing 1 required positional argument: 'msg' , crash on startup
Summary: TypeError: can_touch_runtime_system() missing 1 required positional argument:...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F26AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2016-11-22 20:04 UTC by Adam Williamson
Modified: 2016-11-30 18:42 UTC (History)
7 users (show)

Fixed In Version: anaconda-26.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 18:42:17 UTC


Attachments (Terms of Use)

Description Adam Williamson 2016-11-22 20:04:20 UTC
In today's Rawhide nightly - Fedora-Rawhide-20161122.n.0 - anaconda always crashes on startup with a traceback:

Traceback (most recent call last):
  File "/sbin/anaconda", line 591, in <module>
    screen_access.sam.open_config_file()
  File "/usr/lib64/python3.5/site-packages/pyanaconda/screen_access.py", line 71, in open_config_file
    if config_path is None and can_touch_runtime_system(touch_live=True):
TypeError: can_touch_runtime_system() missing 1 required positional argument: 'msg'

This is an automatic F26 Alpha blocker as it entirely prevents the installer media booting to anything useful.

Comment 1 Martin Kolman 2016-11-23 10:30:50 UTC
Should be fixed by:
https://github.com/rhinstaller/anaconda/pull/876

The PR is included in anaconda-26.13-1.

Comment 2 Adam Williamson 2016-11-30 18:42:17 UTC
This does seem to be fixed since 26.13 came out.


Note You need to log in before you can comment on or make changes to this bug.